Bug 443485 - id <username> should not print security context of current user
id <username> should not print security context of current user
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 15:59 EDT by Ronny Buchmann
Modified: 2008-04-24 11:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: coreutils-6.11-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 11:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronny Buchmann 2008-04-21 15:59:03 EDT
Description of problem:
"id <user>" prints the security context of the calling user, not of the given
username.
This is extremely misleading. (Especially with the new selinux where not
everybody is unconfined_u)

I think it's not possible to print the security context of the given user, so
it's better to not print it at all.

Version-Release number of selected component (if applicable):
6.10-18.fc9
Comment 1 Ondrej Vasik 2008-04-22 04:16:06 EDT
Thanks for report, that id behavior is not RedHat specific, will propose that
change to upstream (to not display security context when user is specified).
Seems to be reasonable(context is missleading) and it is not a big deal.
Comment 2 Ondrej Vasik 2008-04-24 11:08:47 EDT
Accepted by upstream, built as coreutils-6.11-2.fc10. Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.